=== src/win32/wx-console/Makefile ===
#
# Makefile to build the native Win32 console
# VC++ and tools must be on your path
#
#     Kern Sibbald, June 2004
#

NMAKE=nmake

first_rule: all

dummy:

clean:
	rm -rf Debug/*.obj Release/*.obj

distclean: clean
