## bacula 2.2.4-0packman1~edgy1

=== debian/changelog ===
bacula (2.2.4-0packman1~edgy1) edgy; urgency=low

  * New upstream release

 -- Marc Schiffbauer <marc@links2linux.de>  Sat, 15 Sep 2007 04:57:25 +0200

bacula (2.2.3-0packman1~edgy1) edgy; urgency=low

  * New upstream version
  * Ubuntu edgy backport
  * Enable ssl support
  * Enable static qwt for bat (feisty has no libqwt5)

 -- Marc Schiffbauer <marc@links2linux.de>  Thu, 13 Sep 2007 16:04:08 +0200

bacula (2.2.0-1) unstable; urgency=low

  * Update debian/copyright from LICENSE.
  * Disable OpenSSL support due to licensing concerns
    See thread at
    http://lists.debian.org/debian-legal/2007/07/msg00144.html
  * Applied updated Vietnamese translation from Clytie Siddall.
    Closes: #427042.
  * Following changes prepared by Mark Hymers <mhy@debian.org>:
    * New upstream version.  Closes: #438806.
      * make_catalog_backup script now takes a host parameter.  
        Closes: #419885.
    * Deal with moving wx-console.conf to bwx-console.conf
    * Add new bacula-console-qt package.
    * Update Standards-Version to 3.7.2.  No changes required.
    * Remove postgresql-dev Build-Dep.  Closes: #429963.
    * Make binNMU safe.  Based on patch from Lior Kaplan.  Closes: #430106.
    * Re-order postgresql-client Depends.  Closes: #419311.
    * Remove libwxgtk2.4-dev Build-Depends.  Closes: #425159.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 24 Aug 2007 02:13:34 -0500

bacula (2.0.3-4) unstable; urgency=low

  * Applied patches from upstream:
    2.0.3-ampm
    2.0.3-maxbyteslist
    2.0.3-maxwaittime
    2.0.3-schedule-next-hour
  * Rebuild fixes binNMU problems.  Closes: #419843.
  * Added README.Debian to bacula-common.  (It was already installed
    in bacula).  This should make it easier to find.  Closes: #418498.
  * Documented upgrade procedure in README.Debian.
  * Don't try to rebuild configs when there is no need to and
    when the source is unavailable.  Closes: #420197, #413145.
  * Fix typo in bacula-sd manpage.  Closes: #417571.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 23 Apr 2007 07:09:31 -0500

bacula (2.0.3-3) unstable; urgency=low

  * Make postrm scripts more versatile.  Closes: #416649.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 13 Apr 2007 03:13:05 -0500

bacula (2.0.3-2) unstable; urgency=low

  * Finally upload to unstable.
  * Added note to README.Debian about /etc/bacula/scripts
    and multiple versions of PostgreSQL.  Closes: #383357.
  * Added dep from bacula-director-common on mailx, and drop explicit
    deps on mail-transport-agent.  Closes: #386920.
  * Version 2.0.x now properly initializes supplemental groups.
    Closes: #391492.  (This should have been closed in 2.0.2-1 upload)
  * Properly remove password in sqlite/sqlite3 postinsts.
    Closes: #404866.
  * Consoles connect to localhost by default.  Closes: #404868, #407081.
  * Don't munge make_catalog_backup in bacula-dir.conf.  Closes: #407082.
  * Remove spurious dep from bacula-director-pgsql on sqlite3.
    Closes: #396921.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2007 10:40:14 -0500

bacula (2.0.3-1) experimental; urgency=low

  * New upstream release.
  * Local manpage bug should have been closed with 2.0.2-1.
    Closes: #367643.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  7 Mar 2007 03:40:37 -0600

bacula (2.0.2-1) experimental; urgency=low

  * New upstream release.  Closes: #408381.
  * Upstream has dropped Gnome console.  Closes: #391820.
  * Remove debian/manpages since manpages are now shipped upstream.
    Modify debian/*.manpages to reference these files.
  * debian/ support for automatically upgrading database to v10.
  * Updated German translation.  Closes: #406547.
  * Removed references to obsolete docs.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 23 Feb 2007 08:21:36 -0600

bacula (1.38.11-8) unstable; urgency=high

  * Rebuild to fix earlier binNMU.   Closes: #411652.
  * debian/control switched to suggested source:Version approach from
    debian-devel.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2007 12:58:55 -0600

bacula (1.38.11-7) unstable; urgency=low

  * ACK NMU.  Closes: #394605.
  * New Japanese translation thanks to Hideky Yamane.  Closes: #392638.
  * New Czech translation from Jakup Kasparec.  Closes: #392680.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 27 Oct 2006 08:39:46 -0500

bacula (1.38.11-6.1) unstable; urgency=low

  * Remove explicit build dependency on python2.3.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Oct 2006 05:47:35 +0200

bacula (1.38.11-6) unstable; urgency=high

  * Only call dbconfig-common if it exists in maintainer scripts.
    Closes: #388220, #388222.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 22 Sep 2006 10:06:22 -0500

bacula (1.38.11-5) unstable; urgency=high

  * Added missing shlibs:Depends for bacula-director-pgsql.  Closes: #384837.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 27 Aug 2006 18:48:24 -0500

bacula (1.38.11-4) unstable; urgency=high

  * Rebuild against newer libmysql15-dev.  Closes: #384433.
  * Build build-dep on libmysql15-dev.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Aug 2006 13:52:24 -0500

bacula (1.38.11-3) unstable; urgency=high

  * Update postrm to new dbconfig-common method.  Closes: #383142.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 21 Aug 2006 09:19:49 -0500

bacula (1.38.11-2) unstable; urgency=low

  * Updated Brazilian Portugese translation from Felipe August van de Wiel.
    Closes: #373992.
  * Updated Dutch translation from Kurt De Bree.  Closes: #375128.
  * New Portugese translation from Rui Branco.  Closes: #380675.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 12 Aug 2006 09:40:36 -0500

bacula (1.38.11-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright with new upstream LICENSE
  * Add Suggests on bacula-doc

 -- John Goerzen <jgoerzen@complete.org>  Fri, 30 Jun 2006 08:02:36 -0500

bacula (1.38.10-2) unstable; urgency=low


