=== debian/changelog ===
bacula (2.2.4-0packman1~feisty1) feisty; urgency=low

  * New upstream release

 -- Marc Schiffbauer <marc@links2linux.de>  Sat, 15 Sep 2007 04:17:09 +0200

bacula (2.2.3-0packman1~feisty1) feisty; urgency=low

  * New upstream version
  * Ubuntu feisty backport
  * Enable ssl support
  * Enable static qwt for bat (feisty has no libqwt5)

 -- Marc Schiffbauer <marc@links2linux.de>  Thu, 13 Sep 2007 16:04:08 +0200
