=== debian/watch ===
version=2
http://prdownloads.sourceforge.net/bacula/bacula-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
