## bacula 2.2.5-0packman1~edgy1

=== debian/Makefile ===
#
#
.PHONY:	dummy

SUBDIRS=additions manpages patches po


tidy:	dummy
	rm -f *~

mrproper:	tidy
	for dir in ${SUBDIRS}; do $(MAKE) -C $$dir tidy; done
