=== debian/changelog ===
bacula (2.2.5-0packman1~edgy1) edgy; urgency=low

  * New upstream release
  * Fixed minor SQL bug in dird/newvol.c:127

 -- Marc Schiffbauer <marc@links2linux.de>  Tue, 16 Oct 2007 01:04:42 +0200
