=== debian/rules ===
--- 
+++ 
@@ -77,9 +77,9 @@
 	if [ "$(*)" == "sqlite" ]; then \
 		echo " *** DEBIAN *** building static qwt lib for bat"; \
 		test -f /tmp/depkgs-qt.tar.gz \
-		|| wget http://switch.dl.sourceforge.net/sourceforge/bacula/depkgs-qt-30Jul07.tar.gz -O /tmp/depkgs-qt.tar.gz; \
-		tar xzf /tmp/depkgs-qt.tar.gz; \
-		cd depkgs-qt; make qwt; \
+		|| wget http://heanet.dl.sourceforge.net/sourceforge/bacula/depkgs-09Sep07.tar.gz -O /tmp/depkgs.tar.gz; \
+		tar xzf /tmp/depkgs.tar.gz; \
+		cd depkgs; make qwt; \
 		echo $(BUILDDIR); \
 		ln -fvs `pwd`/qwt /tmp/qwt; \
 	fi
