## bacula 2.2.5-0packman1~feisty1

=== debian/changelog ===
bacula (2.2.5-0packman1~feisty1) feisty; urgency=low

  * New upstream version
  * Fixed minor SQL bug in dird/newvol.c:127

 -- Marc Schiffbauer <marc@links2linux.de>  Wed, 17 Oct 2007 15:06:27 +0200
