=== debian/rules ===
--- 
+++ 
@@ -76,8 +76,8 @@
 	# qwt hack until we have libqwt5 available (needed only for bat)
 	if [ "$(*)" == "sqlite" ]; then \
 		echo " *** DEBIAN *** building static qwt lib for bat"; \
-		test -f /tmp/depkgs-qt.tar.gz \
-		|| wget http://heanet.dl.sourceforge.net/sourceforge/bacula/depkgs-09Sep07.tar.gz -O /tmp/depkgs.tar.gz; \
+		test -f /tmp/depkgs.tar.gz \
+		|| wget http://switch.dl.sourceforge.net/sourceforge/bacula/depkgs-09Sep07.tar.gz -O /tmp/depkgs.tar.gz; \
 		tar xzf /tmp/depkgs.tar.gz; \
 		cd depkgs; make qwt; \
 		echo $(BUILDDIR); \
